/*basic styling*/

body {
    background-color: gray;
}

@font-face {
	 font-family: comicsans;
	 src: url(Qdbettercomicsans.woff);
}

/*text stuff*/
p {
    text-align: center;
    font-family: comicsans;
    color: white;
    font-size: 25px;
}
h1, h2, h3, h4, h5, h6 {
    text-align: center;
    font-family: comicsans;
    color: white;
    font-size: 35px;
}

header {
    padding: 0%;
}

/*class styling*/
div.header {
    background-color: gray;
    position: sticky;
    top: 0;
    border-style: solid;
    border-color: whitesmoke;
    border-width: 5px;
}

#hdrtogbut {
    position: sticky;
    top: 140px;
}

div.container {
     display: flex;
     border: 5px;
}

div.insidetext {
     flex: 80%;
     padding: 0px;
     width: 100%;
}

div.insidetext a:link, a:visited {
  color: white;
  font-family: comicsans;
  padding: 5px;
  display: inline-block;
}

div.insidetext a:hover, a:active {
  background: rgba(255, 255, 255, 0.5);
}

p.insidetext {
    padding: 5px;
}

div.characters { 
     padding: 5px;
     overflow-x: hidden;
}

div.characters img {
  width: 250px;
  height: auto;
  flex: wrap;
}

div.characters img:hover {
   width: 80%;
   padding-left: 25px;
   transition-duration: 0.5s;
}
div.characters img:not(:hover) {
   width: 100%;
   transition-duration: 0.5s;
}

/*    media queries    */

/*header*/
@media only screen and (min-width: 1200px) {
  div.header {
   position: sticky;
  }
  #hedrtxt {
    font-size: auto;
  }
  #hedrtxtp {
    font-size: auto;
  }
  div.characters {
    max-width: 20%;
  }
  div.container {
    flex-direction: row;
    margin-left: 250px;
    margin-right: 250px;
  }
  p {
    font-size: 20px;
  }
  h1, h2, h3, h4, h5, h6 {
    font-size: 26px;
  }
}


